Package org.apache.lucene.facet

## Class TopOrdAndIntNumberQueue

- java.lang.Object
- - org.apache.lucene.util.PriorityQueue<TopOrdAndNumberQueue.OrdAndValue>
  - - org.apache.lucene.facet.TopOrdAndNumberQueue
    - - org.apache.lucene.facet.TopOrdAndIntNumberQueue

- All Implemented Interfaces:
    `Iterable<TopOrdAndNumberQueue.OrdAndValue>`

      @Deprecated
      public class TopOrdAndIntNumberQueue
      extends TopOrdAndNumberQueue

  Deprecated.
  Replaced by `TopOrdAndIntQueue` in 10.x
  Keeps highest results, first by largest int value, then tie-break by smallest ord.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TopOrdAndIntNumberQueue.OrdAndInt` | Deprecated. Holds an ordinal and an int value.

    - ### Nested classes/interfaces inherited from class org.apache.lucene.facet.TopOrdAndNumberQueue

      `TopOrdAndNumberQueue.OrdAndValue`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopOrdAndIntNumberQueue​(int topN)` | Deprecated. Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TopOrdAndNumberQueue.OrdAndValue` | `newOrdAndValue()` | Deprecated. Create a new `TopOrdAndNumberQueue.OrdAndValue` of the appropriate type.

    - ### Methods inherited from class org.apache.lucene.facet.TopOrdAndNumberQueue

      `lessThan`

    - ### Methods inherited from class org.apache.lucene.util.PriorityQueue

      `add, addAll, clear, getHeapArray, insertWithOverflow, iterator, pop, remove, size, top, updateTop, updateTop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TopOrdAndIntNumberQueue

          public TopOrdAndIntNumberQueue​(int topN)

      Deprecated.
      Sole constructor.

  - ### Method Detail

    - #### newOrdAndValue

          public TopOrdAndNumberQueue.OrdAndValue newOrdAndValue()

      Deprecated.
      Description copied from class: `TopOrdAndNumberQueue`
      Create a new `TopOrdAndNumberQueue.OrdAndValue` of the appropriate type.
      Specified by:
        `newOrdAndValue` in class `TopOrdAndNumberQueue`